Bug 24170 - sysprefs search result does not have a consistent order
Summary: sysprefs search result does not have a consistent order
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-04 14:44 UTC by Jonathan Druart
Modified: 2019-12-13 14:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24170: Fix sysprefs search result order (1.44 KB, patch)
2019-12-04 14:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24170: Fix sysprefs search result order (1.49 KB, patch)
2019-12-04 15:43 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24170: Fix sysprefs search result order (1.59 KB, patch)
2019-12-06 09:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-04 14:44:47 UTC
The same sysprefs search will not always return the results in the same order.
Comment 1 Jonathan Druart 2019-12-04 14:47:36 UTC
Created attachment 95993 [details] [review]
Bug 24170: Fix sysprefs search result order

The same sysprefs search will not always return the results in the same
order.
If you search for 'd' in the "search system preferences" box
  /cgi-bin/koha/admin/preferences.pl?op=search&searchfield=d
you will see that the modules are not ordered consistently.

This patch makes them display alphabetically

Test plan:
Search the same string several times in the syspref list.
The search result should always be ordered the same way
Comment 2 ByWater Sandboxes 2019-12-04 15:43:50 UTC
Created attachment 95995 [details] [review]
Bug 24170: Fix sysprefs search result order

The same sysprefs search will not always return the results in the same
order.
If you search for 'd' in the "search system preferences" box
  /cgi-bin/koha/admin/preferences.pl?op=search&searchfield=d
you will see that the modules are not ordered consistently.

This patch makes them display alphabetically

Test plan:
Search the same string several times in the syspref list.
The search result should always be ordered the same way

Signed-off-by: cori <corilynn.arnold@gmail.com>
Comment 3 Cori Lynn Arnold 2019-12-04 15:44:11 UTC
Works as advertised!
Comment 4 Marcel de Rooy 2019-12-06 09:19:11 UTC
Created attachment 96058 [details] [review]
Bug 24170: Fix sysprefs search result order

The same sysprefs search will not always return the results in the same
order.
If you search for 'd' in the "search system preferences" box
  /cgi-bin/koha/admin/preferences.pl?op=search&searchfield=d
you will see that the modules are not ordered consistently.

This patch makes them display alphabetically

Test plan:
Search the same string several times in the syspref list.
The search result should always be ordered the same way

Signed-off-by: cori <corilynn.arnold@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2019-12-10 09:55:50 UTC
> Signed-off-by: cori <corilynn.arnold@gmail.com>

Do not you want your real name appears in the release notes?
Comment 6 Martin Renvoize 2019-12-10 10:38:24 UTC
(In reply to Jonathan Druart from comment #5)
> > Signed-off-by: cori <corilynn.arnold@gmail.com>
> 
> Do not you want your real name appears in the release notes?

I'll likely just add 'cori' as an alias for her full name in the release-tools.  But.. it's always nice to have it done right in the commit message in the first place too
Comment 7 Martin Renvoize 2019-12-13 14:07:42 UTC
Nice work everyone!

Pushed to master for 20.05